Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04030 Misc. Minor Always Aug 30, 2010, 17:40 Sep 18, 2010, 06:15
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver
Version 0.139u2 Fixed in Version 0.139u3 Build Normal
Summary 04030: All sets in taito_f3.c, taito_z.c, kaneko16.c, konamigq.c, overdriv.c: "16-bit EEPROM set with 8-bit data"
Description A new warning printf detects issues with the following drivers. They do not interfere with the game running but they need correction.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.139u2
Affected Sets / Systems All sets in taito_f3.c, taito_z.c, kaneko16.c, konamigq.c, overdriv.c
Attached Files
 
Relationships
has duplicate 04046Closed popnpop: 16-bit EEPROM set with 8-bit data 
Notes
6
User avatar
No.06658
Haze
Senior Tester
Aug 30, 2010, 20:26
this also occurs when using -romident....

which probably shouldn't happen ;-)
User avatar
No.06659
Osso
Developer
Aug 30, 2010, 20:36
And with -lx..
User avatar
No.06661
etabeta
Developer
Aug 30, 2010, 23:08
and with -valid

any command which tests devices, tests in particular the eeprom device, and the debug printf is triggered somehow...
User avatar
No.06663
Fujix
Administrator
Aug 31, 2010, 01:36
and with -listxml
User avatar
No.06664
etabeta
Developer
Aug 31, 2010, 06:29
erm... -lx is exactly the same as -listxml ;)
User avatar
No.06665
Fujix
Administrator
Aug 31, 2010, 11:08
ohmygah ;)